<?php
  $plim=2;
?>
     <table width="100%"  border="0" cellspacing="1" cellpadding="1">
      <tr>
        <td class="verddeu"><p><img src="img/titol8.gif" width="465" height="27"></p></td>
      </tr>
      <tr>
        <td><table width="100%"  border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td width="31%" bgcolor="#EEEFF1" class="docegrana"><a href="inicio.php?page=encuestas"><div class="docegrana"><img src="img/icon.gif" width="12" height="8" border="0">Enquestes anteriors</div></a></td>
            <td width="20%" bgcolor="#EEEFF1" class="docegrana">&nbsp;</td>
            <td width="26%" bgcolor="#EEEFF1" class="docegrana">&nbsp;</td>
            <td width="23%" bgcolor="#EEEFF1" class="docegrana">&nbsp;</td>
          </tr>
          <tr>
            <td colspan="4" valign="top"><table width="100%" cellpadding="2" cellspacing="2" class="tabbajo">
<?php
  if($id!="") {
    $result=mysql_query("select * from encuestas where (tipo_contenido='2' or tipo_contenido='".$current_valid."') and estado='1' and id='".$id."'",$link);
    $row=mysql_fetch_array($result);
?>
              <tr>
                <td colspan="3" class="verddeu"><div align="center"><strong><?php echo $row["titulo"]; ?></strong></div></td>
              </tr>
              <tr>
                <td colspan="3" class="verddeu"><div align="justify"><?php echo html_entity_decode($row["descripcion"]); ?></div></td>
              </tr>
<?php
    mysql_free_result($result);
  }
?>
              <tr>
                <td width="33%" valign="top" class="verddeu"><p align="justify"><a href="javascript:history.back();">&lt;&lt;Tornar</a></p></td>
                <td width="33%" valign="top" class="verddeu"><div align="center"><strong>
<?php
  if($id!="") {
    $result=mysql_query("select count(id) from encuestas where (tipo_contenido='2' or tipo_contenido='".$current_valid."') and estado='1' and id='".$id."'",$link);
  } else {
    $result=mysql_query("select count(id) from encuestas where (tipo_contenido='2' or tipo_contenido='".$current_valid."') and estado='1'",$link);
  }
  $row=mysql_fetch_array($result);
  $total=$row["count(id)"];
  mysql_free_result($result);
  $pnum=sprintf("%d",$pnum);
  $num1=$pnum+1;
  $num2=$pnum+$plim;
  if($num2>$total) $num2=$total;
  if($id=="") echo "Enquestes ".$num1." - ".$num2." de ".$total;
?>
</strong></div></td>
                <td width="33%" valign="top" class="verddeu"><div align="left"></div></td>
              </tr>
            </table></td>
          </tr>
        </table></td>
      </tr>
      <tr>
        <td height="364" valign="top"><DIV align=center><FONT face=Arial size=2></FONT>

<?php
  $pmin=0;
  $pant=$pnum-$plim;
  if($pant<$pmin) $pant=$pmin;
  $pmax=((int)(($total-1)/$plim))*$plim;
  $psig=$pnum+$plim;
  if($psig>$pmax) $psig=$pmax;
  if($id!="") {
    $result=mysql_query("select * from encuestas where (tipo_contenido='2' or tipo_contenido='".$current_valid."') and estado='1' and id='".$id."' order by fecha desc limit ".$pnum.",".$plim,$link);
  } else {
    $result=mysql_query("select * from encuestas where (tipo_contenido='2' or tipo_contenido='".$current_valid."') and estado='1' order by fecha desc limit ".$pnum.",".$plim,$link);
  }
  $empezar=0;
  while($row=mysql_fetch_array($result)) {
    $vacio=1;
    for($i=1;$i<=10;$i++) {
      if($row["count".$i]!=0) $vacio=0;
    }
    if(!$vacio) {
      if(!$empezar) $empezar=1;
      else echo "<br>&nbsp;<br>";
      if($id!="") {
        echo "<img src='pieplot.php?id=".$row["id"]."' border='0'>";
      } else {
        echo "<a href='inicio.php?page=encuestas&id=".$row["id"]."'><img src='pieplot.php?id=".$row["id"]."' border='0'></a>";

      }
    }
  }
  mysql_free_result($result);
?>
<table width="100%"  border="0" cellspacing="0" cellpadding="0">
    <TR>
<?php
  if($total>$plim) {
?>
      <TD align=left class=nolink height="40"><span class="docegrana">
<?php if($pnum>0) { ?>
        <A href="inicio.php?page=encuestas&pnum=<?php echo $pmin; ?>"><img src="images/primero.jpg" border="0" alt="Anar a la plana inicial" title="Anar a la plana inicial"></A>
        <A href="inicio.php?page=encuestas&pnum=<?php echo $pant; ?>"><img src="images/ant.jpg" border="0" alt="Anar a la plana anterior" title="Anar a la plana anterior"></A>
<?php } ?>
      </span></TD>
      <TD align=right class=nolink height="40"><span class="docegrana">
<?php if($pnum<$pmax) { ?>
        <A href="inicio.php?page=encuestas&pnum=<?php echo $psig; ?>"><img src="images/sig.jpg" border="0" alt="Anar a la plana següent" title="Anar a la plana següent"></A>
        <A href="inicio.php?page=encuestas&pnum=<?php echo $pmax; ?>"><img src="images/ultimo.jpg" border="0" alt="Anar a la darrera plana" title="Anar a la darrera plana"></A>
<?php } ?>
      </span></TD>
<?php } else { ?>
<td>&nbsp;</td>
<?php } ?>
    </TR>
</table>
      </FONT></DIV>
          <a href="javascript:history.back();" class="verddeu">&lt;&lt;Tornar</a></td>
      </tr>
    </table>
